/* 
 * Copyright (C) 2013 Andreas Misje
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef HARDWAREPROFILE_H
#define HARDWAREPROFILE_H

#include "Compiler.h"

#define GetSystemClock()      80000000ul
#define GetInstructionClock() ( GetSystemClock() / 1 )
#define GetPeripheralClock()  ( GetSystemClock() / 1 )

/* Ethernet transceiver set-up: */
#define PHY_RMII
#define PHY_ADDRESS 0

#endif // HARDWAREPROFILE_H
