/* "bio" module
 *
 * Set and retrieve name and title from file
 *
 * Copyright (C) 2013 Andreas Misje
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef BIO_H
#define BIO_H

#define BIO_DIR "/bio"
#define BIO_NAME_FILE_NAME BIO_DIR "/" "name"
#define BIO_TITLE_FILE_NAME BIO_DIR "/" "title"

char *bio_name();

int bio_setName( const char *name );

char *bio_title();

int bio_setTitle( const char *title );

#endif // BIO_H
