/* 
 * Copyright (C) 2013 Andreas Misje
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef LED_H
#define LED_H

#include <xc.h>

void led_init();

#define led_setDHCP( state ) ( LATGbits.LATG14 = !state )

void led_flashDHCP( unsigned int rateMs, int numFlashes );

#define led_setUSR2( state ) ( LATGbits.LATG12 = !state )

#define led_reverseUSR2() ( LATGbits.LATG12 ^= 1 )

void led_flashUSR2( unsigned int rateMs, int numFlashes );

#endif // LED_H
