#!/usr/bin/env perl
use utf8;
use strict;
use warnings;

my @arrNames = qw( P Q dP dQ qInv );

foreach (<>) {
   chomp;
   print 'const uint8_t SSL_', shift @arrNames, '[] = { ';
   my @hexArr;
   for( my $i = 0; $i < length $_; $i += 2 ) {
      push @hexArr, substr( $_, $i, 2 );
   }
   print "0x$_, " foreach ( reverse @hexArr );
   print "};\n\n";
}
