#ifndef _MMCPIC32CONFIG_H
#define _MMCPIC32CONFIG_H

/* Port Controls  (Platform dependent) */

#define CS_SETOUT()  ( TRISDbits.TRISD9 = 0 )
#define CS_LOW()     ( LATDCLR = 1 << 9 )
#define CS_HIGH()    ( LATDSET = 1 << 9 )

//Change the SPI port number as needed on the following 5 lines
#define SPIBRG                            SPI1BRG
#define SPIBUF                            SPI1BUF
#define SPISTATbits                       SPI1STATbits
#define SPI_CHANNEL                       SPI_CHANNEL1
#define SPICONbits                        SPI1CONbits

#define	FCLK_SLOW()	SPIBRG = 64		/* Set slow clock (100k-400k) */
#define	FCLK_FAST()	SPIBRG = 1		/* Set fast clock (depends on the CSD) */

#endif // _MMCPIC32CONFIG_H
