#ifndef MMCPIC32CONFIG_H
#define MMCPIC32CONFIG_H

/* Port controls (platform dependent) */
#define CS_SETOUT()  ( TRISDbits.TRISD9 = 0 )
#define CS_LOW()     ( LATDCLR = 1 << 9 )
#define CS_HIGH()    ( LATDSET = 1 << 9 )

/* SPI hardware module used */
#define SPIBRG       SPI1BRG
#define SPIBUF       SPI1BUF
#define SPISTATbits  SPI1STATbits
#define SPI_CHANNEL  SPI_CHANNEL1
#define SPICONbits   SPI1CONbits

/* Set slow clock (100k-400k) */
#define  FCLK_SLOW() ( SPIBRG = 64 )
/* Set fast clock (depends on the CSD) */
#define  FCLK_FAST() ( SPIBRG = 1 )

#endif // MMCPIC32CONFIG_H
